Description

The binary file name "logger" clashes with the logger binary from bsdutils package. How should we rename the binary (And also "call"
for that matter)?

Also, should we use the alternatives system to let users select between the C++ implementation and the Common Lisp
implementation of the logger?
Proposed solution:
    -  Logger 
        -  Install logger as rsb-loggerclVERSION
        -  Install an alternative called rsb-logger which dispatches to rsb-loggerclVERSION or rsb-loggercppVERSION for a particular
version
    -  Call
        -  Install call binary as rsb-callclVERSION
        -  Install an alternative called rsb-cakk which dispatches to rsb-callclVERSION for a particular version
    -  The rsb_ vs. rsb- prefix has to be configured in the CMakeLists.txt file once we decide on one scheme

Related issues:
Related to Robotics Service Bus - Tasks # 692: Generate Debian package for rs... Resolved 10/31/2011

Associated revisions
Revision 3e5a9c45 - 10/31/2011 01:41 AM - J. Moringen
Renamed binaries when installing in CMakeLists.txt
refs #686
    -  CMakeLists.txt: renamed binaries during installation to avoid

  name clashes

Revision 8c4df607 - 10/31/2011 08:59 PM - J. Moringen
Disambiguation and alternatives for binaries in CMakeLists.txt
fixes #686
    -  CMakeLists.txt: add rsb- prefix and clVERSION suffix to installed

  binaries; use Debian's alternatives system to provide rsb-logger,
  rsb-call executables which redirect to a concrete version of the
  Common Lisp or C++ executable

Revision 5259412f - 11/01/2011 05:20 AM - J. Moringen
Make postinst, prerm scripts executable in CMakeLists.txt
refs #686
    -  CMakeLists.txt: make postinst and prerm scripts executable after

  creating them
http://www.debian-administration.org/articles/91


History
#1 - 10/30/2011 10:43 PM - J. Wienke

In that case I would say it should be rsb-cl-logger and rsb-cpp-logger with the symlink called rsb-logger.

#2 - 10/31/2011 10:34 AM - S. Wrede

If we redo the naming of the executables we should also agree on whether to use dashes (rsb-x) or underscores (rsb_x) as separates in executable
names. In C++ (except the rsblogger) all executables are currently prefixed with underscores like: rsb_x

#3 - 10/31/2011 09:00 PM - J. Moringen
- Status changed from Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset r3034.

#4 - 10/31/2011 09:04 PM - J. Moringen
- Description updated
- Status changed from Resolved to Feedback

#5 - 11/05/2011 03:18 AM - J. Moringen
- Status changed from Feedback to Resolved
